- type: dropbox
  id: dropbox1
  label: Dropbox files (configure access in user preferences)
  doc: Your Dropbox files - configure an access token via the user preferences
  accessToken: ${user.user_vault.read_secret('preferences/dropbox/access_token')}

- type: webdav
  id: owncloud1
  label: OwnCloud
  doc: External OwnCloud files (configure access in user preferences)
  url: ${user.user_vault.read_secret('preferences/owncloud/url')}
  root: ${user.user_vault.read_secret('preferences/owncloud/root')}
  login: ${user.user_vault.read_secret('preferences/owncloud/username')}
  password: ${user.user_vault.read_secret('preferences/owncloud/password')}

- type: ftp
  id: genouest-ftp
  label: "GenOuest FTP server"
  doc: "GenOuest FTP server"
  host: "ftp.genouest.org"
  user: "${user.user_vault.read_secret('preferences/genouest/username')}"
  passwd: "${user.user_vault.read_secret('preferences/genouest/password')}"
  timeout: 10
  port: 21
  tls: true
  writable: true

- type: ssh
  id: ifb_cluster-sftp
  label: "IFB cluster SFTP server"
  doc: "Your home on IFB cluster SFTP server"
  host: "{{ host_ssh_ifb_cluster_sftp }}"
  user: "${user.user_vault.read_secret('preferences/ifb_cluster/username')}"
  passwd: "${user.user_vault.read_secret('preferences/ifb_cluster/password')}"
  timeout: 10
  port: 22
  writable: true
  path: "/shared/ifbstor1/"

{# - type: inveniordm
  id: invenio_sandbox
  doc: This is the Sandbox instance of Invenio. It is used for testing purposes only, content is NOT preserved. DOIs created in this instance are not real and will not resolve.
  label: Invenio RDM Sandbox Repository (TESTING ONLY)
  url: https://inveniordm.web.cern.ch/
  token: ${user.user_vault.read_secret('preferences/invenio_sandbox/token')}
  # token: ${user.preferences['invenio_sandbox|token']} # Alternatively use this for retrieving the token from user preferences instead of the Vault
  public_name: ${user.preferences['invenio_sandbox|public_name']}
  writable: true #}

- type: zenodo
  id: zenodo
  doc: Zenodo is a general-purpose open-access repository developed under the European OpenAIRE program and operated by CERN. It allows researchers to deposit data sets, research software, reports, and any other research-related digital artifacts. For each submission, a persistent digital object identifier (DOI) is minted, which makes the stored items easily citeable.
  label: Zenodo
  url: https://zenodo.org
  token: ${user.user_vault.read_secret('preferences/zenodo/token')}
  public_name: ${user.preferences['zenodo|public_name']}
  writable: true